from typing import Annotated

from beeai_server.services.mcp_proxy.proxy_server import MCPProxyServer
from fastapi import Depends
from kink import di

from beeai_server.services.provider import ProviderService
from mcp.server.sse import SseServerTransport

ProviderServiceDependency = Annotated[ProviderService, Depends(lambda: di[ProviderService])]
SSEServerTransportDependency = Annotated[SseServerTransport, Depends(lambda: di[SseServerTransport])]
MCPProxyServerDependency = Annotated[MCPProxyServer, Depends(lambda: di[MCPProxyServer])]
